Package org.apache.solr.client.solrj.impl

# Class ConcurrentUpdateBaseSolrClient.CustomBlockingQueue<E>

java.lang.Object
org.apache.solr.client.solrj.impl.ConcurrentUpdateBaseSolrClient.CustomBlockingQueue<E>

All Implemented Interfaces:
  `Iterable<E>`

Enclosing class:
  `ConcurrentUpdateBaseSolrClient`

protected static class ConcurrentUpdateBaseSolrClient.CustomBlockingQueue<E> extends Object implements Iterable<E>

## Constructor Summary

Constructors
Constructor
Description
`CustomBlockingQueue(int queueSize, int maxConsumers, E backdoorE)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`add(E e)`
`void`
`backdoorOffer()`
`boolean`
`isEmpty()`
`Iterator<E>`
`iterator()`
`boolean`
`offer(E e)`
`boolean`
`offer(E e, long timeout, TimeUnit unit)`
`E`
`poll(long timeout, TimeUnit unit)`
`int`
`remainingCapacity()`
`int`
`size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### CustomBlockingQueue

public CustomBlockingQueue(int queueSize, int maxConsumers, E backdoorE)

## Method Details

### offer

public boolean offer(E e)

### offer

public boolean offer(E e, long timeout, TimeUnit unit) throws InterruptedException

Throws:
  `InterruptedException`

### isEmpty

public boolean isEmpty()

### poll

public E poll(long timeout, TimeUnit unit) throws InterruptedException

Throws:
  `InterruptedException`

### add

public boolean add(E e)

### size

public int size()

### remainingCapacity

public int remainingCapacity()

### iterator

public Iterator<E> iterator()

Specified by:
  `iterator` in interface `Iterable<E>`

### backdoorOffer

public void backdoorOffer()